// !!
// This is a part of MOUSE, a library for PDE's on unstructured grids
// Copyright (C) 1999 Oliver Gloth <oliver@vug.uni-duisburg.de>
// Institut fuer Verbrennung und Gasdynamik (Universitaet Duisburg)
// institute for combustion and gas dynamics (university of Duisburg)
//
// please see http://www.vug.uni-duisburg.de/MOUSE for more information
// please send any questions or suggestions to mouse@www.vug.uni-duisburg.de
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// !!
#include <MouseMain.hh>
#include <TFEdgeCalculator2D.hh>
#include <TBEdgeCalculator2D.hh>
#include <TPointCalculator.hh>
#include <TBPointCalculator.hh>
#include <PopList2D.hh>
#include <ScFlux.hh>
#include <ScBoundaryFlux.hh>
#include <ScTimeStep.hh>

int main(int argc, char **argv)
{
  MouseMain mouse;
  new MObjectBuilder<TFEdgeCalculator2D<ScFlux, PopList2D> >
    (MouseMain::Top(), "ScFlux");
  new MObjectBuilder<TBEdgeCalculator2D<ScBoundaryFlux, PopList2D> >
    (MouseMain::Top(), "ScBoundaryFlux");
  new MObjectBuilder<TPointCalculator<ScTimeStep> >
    (MouseMain::Top(), "ScTimeStep");
  mouse.StartMouse(argc, argv);
};

